> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicy.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> List the agents in your account

Returns the agents in your account as an array of [Agent](/api-reference/models/agent)
objects. Identity fields only — call [Get Agent](/api-reference/agent-get) for an
agent's variable contract. Both prompt-based and flow agents are included.

## Response

An array of [Agent](/api-reference/models/agent) objects (without `variables_provided` / `variables_extracted`).

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.voicy.co/functions/v1/agent-list \
    -H "Authorization: Bearer voicy_sk_live_xxx"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.voicy.co/functions/v1/agent-list', {
    headers: { 'Authorization': 'Bearer voicy_sk_live_xxx' },
  });
  const agents = await response.json();
  ```

  ```python Python theme={null}
  import requests
  agents = requests.get(
      'https://api.voicy.co/functions/v1/agent-list',
      headers={'Authorization': 'Bearer voicy_sk_live_xxx'},
  ).json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "agent_id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Appointment Booker",
      "language": "he",
      "voice": "Keren",
      "agent_type": "singlePrompt",
      "active": true,
      "prompt": "You are a friendly receptionist that books appointments.",
      "welcome_message": "שלום, איך אפשר לעזור?",
        "variables_provided": [],
      "variables_extracted": [],
      "created_at": "2026-06-06T10:00:00Z",
      "updated_at": "2026-06-06T10:00:00Z"
    }
  ]
  ```
</ResponseExample>
